
From: Andi Kleen <ak@muc.de>

From: Andreas Gruenbacher

Add brackets to boot_cpu_data to fix compilation of centrino cpufreq driver.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/processor.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/asm-x86_64/processor.h~fix-boot_cpu_data-on-x86-64 include/asm-x86_64/processor.h
--- 25/include/asm-x86_64/processor.h~fix-boot_cpu_data-on-x86-64	2004-08-31 23:14:52.135209288 -0700
+++ 25-akpm/include/asm-x86_64/processor.h	2004-08-31 23:14:52.139208680 -0700
@@ -84,7 +84,7 @@ extern struct tss_struct init_tss[NR_CPU
 extern struct cpuinfo_x86 cpu_data[];
 #define current_cpu_data cpu_data[smp_processor_id()]
 #else
-#define cpu_data &boot_cpu_data
+#define cpu_data (&boot_cpu_data)
 #define current_cpu_data boot_cpu_data
 #endif
 
_
